PETSc version 3.15.5
Fix/Edit manual page

# DMRemoveLabelBySelf

Remove the label from this mesh

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRemoveLabelBySelf(DM dm, DMLabel *label, PetscBool failNotFound)

Not Collective

### Input Parameters

| dm | - The DM object
| label | - (Optional) The DMLabel to be removed from the DM
| failNotFound | - Should it fail if the label is not found in the DM?

### Notes

Only exactly the same instance is removed if found, name match is ignored. If the DM has an exclusive reference to the label, it gets destroyed and *label nullified.

### See Also

DMCreateLabel(), DMHasLabel(), DMGetLabel() DMGetLabelValue(), DMSetLabelValue(), DMLabelDestroy(), DMRemoveLabel()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/label/tutorials/ex1.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages